> ## Documentation Index
> Fetch the complete documentation index at: https://chargecloud.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Updates a meter

> Updates a meter. Required permission: assets:meter:update



## OpenAPI

````yaml /api/core-api/crmiapi.json put /api/v1/assets/meters/{id}
openapi: 3.1.1
info:
  title: chargecloud - Core API
  summary: chargecloud Core API. All around CRM, Asset Management and more.
  version: 1.113.1
  description: chargecloud Core API. All around CRM, Asset Management and more.
servers:
  - url: https://api.chargecloud.dev
    description: Production - chargecloud Core API
  - url: https://demo.chargecloud.de
    description: Sandbox/Dev - chargecloud Core API
security: []
paths:
  /api/v1/assets/meters/{id}:
    put:
      tags:
        - Meters
      summary: Updates a meter
      description: 'Updates a meter. Required permission: assets:meter:update'
      operationId: /api/v1/assets/meters/{id}_PUT
      parameters:
        - name: id
          in: path
          description: ID of the meter
          required: true
          schema:
            type: integer
            format: int32
            description: ID of the meter
      requestBody:
        description: 'Updates a meter. Required permission: assets:meter:update'
        content:
          application/json:
            schema:
              type: object
              required:
                - chargepoint_id
                - public_key
              properties:
                installation_date:
                  type: string
                  format: date
                  pattern: ^\d{4}-\d{2}-\d{2}$
                  description: Installation date
                market_partner:
                  type: string
                  maxLength: 100
                  description: Market partner
                chargepoint_id:
                  type: integer
                  format: int32
                  description: ChargePoint id
                meter_type:
                  type: string
                  description: Meter type
                meter_serial_number:
                  type: string
                  maxLength: 70
                  description: Meter serial number
                meter_point:
                  type: string
                  maxLength: 50
                  description: Meter point
                comment:
                  type: string
                  maxLength: 255
                  description: Comment
                active:
                  type: boolean
                  default: false
                  description: Active
                internal_counter:
                  type: boolean
                  default: false
                  description: Internal Counter
                credit_counter:
                  type: boolean
                  default: false
                  description: Credit Counter
                sum_counter:
                  type: boolean
                  default: false
                  description: Sum Counter
                is_public:
                  type: boolean
                  default: false
                  description: If Public
                public_key:
                  type: string
                  maxLength: 255
                  description: Public key
                serial_number:
                  type: string
                  maxLength: 16
                  description: Serial number
                article_number:
                  type: string
                  maxLength: 16
                  description: Article number
                manufacturer:
                  type: string
                  maxLength: 32
                  description: Manufacturer
        required: true
      responses:
        '200':
          description: Meter edited
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - meter
                properties:
                  meter:
                    type: object
                    properties:
                      id:
                        type: integer
                        format: int32
                        description: Meter id
                      created_at:
                        type: string
                        format: date
                        pattern: ^\d{4}-\d{2}-\d{2}$
                        description: Date of creation
                      updated_at:
                        type: string
                        format: date
                        pattern: ^\d{4}-\d{2}-\d{2}$
                        description: Date of last update
                      modification_date:
                        type: string
                        format: date
                        pattern: ^\d{4}-\d{2}-\d{2}$
                        description: Date of modification
                      location_id:
                        type: integer
                        format: int32
                        description: Location id
                      station_id:
                        type: integer
                        format: int32
                        description: Station id
                      installation_date:
                        type: string
                        format: date
                        pattern: ^\d{4}-\d{2}-\d{2}$
                        description: Installation date
                      market_partner:
                        type: string
                        maxLength: 100
                        description: Market partner
                      chargepoint_id:
                        type: integer
                        format: int32
                        description: ChargePoint id
                      meter_type:
                        type: string
                        description: Meter type
                      meter_serial_number:
                        type: string
                        maxLength: 70
                        description: Meter serial number
                      meter_point:
                        type: string
                        maxLength: 50
                        description: Meter point
                      comment:
                        type: string
                        maxLength: 255
                        description: Comment
                      active:
                        type: boolean
                        default: false
                        description: Active
                      internal_counter:
                        type: boolean
                        default: false
                        description: Internal Counter
                      credit_counter:
                        type: boolean
                        default: false
                        description: Credit Counter
                      sum_counter:
                        type: boolean
                        default: false
                        description: Sum Counter
                      is_public:
                        type: boolean
                        default: false
                        description: If Public
                      public_key:
                        type: string
                        maxLength: 255
                        description: Public key
                      serial_number:
                        type: string
                        maxLength: 16
                        description: Serial number
                      article_number:
                        type: string
                        maxLength: 16
                        description: Article number
                      manufacturer:
                        type: string
                        maxLength: 32
                        description: Manufacturer
                    required:
                      - id
                      - created_at
                      - updated_at
                      - modification_date
                      - chargepoint_id
                      - public_key
                    description: Meter
        '401':
          description: Unauthorized
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
        '404':
          description: Not found
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
        '405':
          description: Method not allowed
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
        '422':
          description: Request validation failed
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - errors
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        errorKey:
                          type: string
                          description: A key identifying the error
                        message:
                          type: string
                          description: The error message
                        parameter:
                          type: string
                          description: The parameter that caused the error, if any
                      required:
                        - errorKey
                        - message
                        - parameter
                      description: Error
                    description: List of errors
        '429':
          description: Too many requests
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
        '500':
          description: Internal server error
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
      security:
        - bearer:
            - asset:meter
components:
  headers:
    Content-Language:
      description: The locale of the response content (BCP 47 language tag).
      schema:
        type: string
        example: en
  securitySchemes:
    bearer:
      type: http
      description: OAuth2 Bearer Authorization
      scheme: bearer
      bearerFormat: JWT

````

## Related topics

- [Creates a meter](/api-reference/meters/creates-a-meter.md)
- [Retrieves meters](/api-reference/meters/retrieves-meters.md)
- [Retrieves details for a meter](/api-reference/meters/retrieves-details-for-a-meter.md)
